Add Menu Item Classes

post

/config/sim/v2/menuItems/menuItemClasses

Adds Menu Item Classes, it is recommended to use Menu Item Classes 2 instead of Menu Item Class.

Request

Supported Media Types
Header Parameters
Body ()
CUD Request body
Root Schema : schema
Type: object
Show Source
Nested Schema : MenuItemClass_condimentGroupsv2
Type: object
List of condiment groups that are associated with the Menu Item Class
Show Source
Nested Schema : dataExtensions
Type: array
An array of data extensions for the menu item class
Show Source
Nested Schema : name
Type: object
Menu Item Class Name
Example:
{
    "1":"Enterprise",
    "2":"Unternehmen",
    "3":"Empresa"
}
Nested Schema : refillDescriptor
Type: object
Refill Descriptor
Example:
{
    "1":"Enterprise",
    "2":"Unternehmen",
    "3":"Empresa"
}
Nested Schema : allowedCondimentGroups
Type: array
Array of the Condiment Groups that are allowed when adding items in this Menu Item Class.
Show Source
Nested Schema : memberCondimentGroups
Type: array
Array of the Condiment Groups to which items in this Menu Item Class belong.
Show Source
Nested Schema : requiredCondimentGroups
Type: array
Array of the Condiment Groups that are required when ordering items assigned to this Menu Item Class.
Show Source
Nested Schema : MenuItemClass_allowedCondimentGroups
Type: object
Show Source
Nested Schema : MenuItemClass_memberCondimentGroups
Type: object
Show Source
Nested Schema : MenuItemClass_requiredCondimentGroupsv2
Type: object
Show Source
Nested Schema : forceOptions
Type: array
Force Options of the condiment group
Show Source
Nested Schema : MenuItemClass_requiredCondimentGroups_forceOptionsv2
Type: object
Show Source
  • Default Value: 1
    Maximum number of items allowed in the condiment group. Valid range is 1-9999.
    Example: 1
  • Default Value: 1
    Minimum number of items in the condiment group. Valid range is 0-99.
    Example: 1
  • Threshold 1 count of the condiment group. Valid range is 0-9999. threshold1 must be less than the maximum.
    Example: 1
  • Threshold 2 count of the condiment group. Valid range is 0-9999. When threshold2 is non-zero, it must be greater than threshold1 and strictly less than the maximum.
    Example: 1
  • Threshold 3 count of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10. When threshold3 is non-zero, it must be greater than threshold2 and strictly less than the maximum.
    Example: 1
  • Threshold 4 count of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10. When threshold4 is non-zero, it must be greater than threshold3 and strictly less than the maximum.
    Example: 1
  • Threshold 5 count of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10. When threshold5 is non-zero, it must be greater than threshold4 and strictly less than the maximum.
    Example: 1
  • Threshold 6 count of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10. When threshold6 is non-zero, it must be greater than threshold5 and strictly less than the maximum.
    Example: 1
  • Threshold 7 count of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10. When threshold7 is non-zero, it must be greater than threshold6 and strictly less than the maximum.
    Example: 1
  • Threshold 8 count of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10. When threshold8 is non-zero, it must be greater than threshold7 and strictly less than the maximum.
    Example: 1
  • Threshold Level 1 of the condiment group. Valid range is 0-9999.
    Example: 1
  • Threshold Level 2 of the condiment group. Valid range is 0-9999.
    Example: 1
  • Threshold Level 3 of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10
    Example: 1
  • Threshold Level 4 of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10
    Example: 1
  • Threshold Level 5 of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10
    Example: 1
  • Threshold Level 6 of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10
    Example: 1
  • Threshold Level 7 of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10
    Example: 1
  • Threshold Level 8 of the condiment group. Valid range is 0-9999. This field is supported starting from Simphony Version 19.10
    Example: 1
Nested Schema : MenuItemClass_dataExtensions
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Menu Item Class Added.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top